JacocoPlugin (Gradle API 2.14.1)

org.gradle.testing.jacoco.plugins

## Class JacocoPlugin

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.testing.jacoco.plugins.JacocoPlugin

- All Implemented Interfaces:
    GroovyObject, Plugin<org.gradle.api.internal.project.ProjectInternal>

      @Incubating
      public class JacocoPlugin
      extends GroovyObjectSupport
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  Plugin that provides support for generating Jacoco coverage data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AGENT_CONFIGURATION_NAME`
    `static String` | `ANT_CONFIGURATION_NAME`
    `static String` | `PLUGIN_EXTENSION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacocoPlugin(org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.
    `Object` | `configureDefaultOutputPathForJacocoMerge()`
    `static String` | `getAGENT_CONFIGURATION_NAME()`
    `static String` | `getANT_CONFIGURATION_NAME()`
    `static String` | `getPLUGIN_EXTENSION_NAME()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AGENT_CONFIGURATION_NAME

          public static final String AGENT_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### ANT_CONFIGURATION_NAME

          public static final String ANT_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### PLUGIN_EXTENSION_NAME

          public static final String PLUGIN_EXTENSION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JacocoPlugin

          @Inject
          public JacocoPlugin(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object

    - #### configureDefaultOutputPathForJacocoMerge

          public Object configureDefaultOutputPathForJacocoMerge()

    - #### getAGENT_CONFIGURATION_NAME

          public static String getAGENT_CONFIGURATION_NAME()

    - #### getANT_CONFIGURATION_NAME

          public static String getANT_CONFIGURATION_NAME()

    - #### getPLUGIN_EXTENSION_NAME

          public static String getPLUGIN_EXTENSION_NAME()